SoRotation(3IV)

NAME
SoRotation — node representing a 3D rotation about an arbitrary axis

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoTransformation > SoRotation

SYNOPSIS
#include <Inventor/nodes/SoRotation.h>

Fields from class SoRotation:

SoSFRotation
rotation

Methods from class SoRotation:

SoRotation()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines a 3D rotation about an arbitrary axis through the origin. The rotation is accumulated into the current transformation, which is applied to subsequent shapes. The rotation field provides a variety of methods for specifying the rotation.

FIELDS
SoSFRotation
rotation
Rotation specification.

METHODS

SoRotation()
Creates a rotation node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoGetBoundingBoxAction, SoRayPickAction
Accumulates rotation transformation into the current transformation.

SoGetMatrixAction
Returns the matrix corresponding to the rotation.

FILE FORMAT/DEFAULTS
Rotation {
rotation	0 0 1  0
}

SEE ALSO
SoRotationXYZ, SoTransform